
%define version 1.5.0
%define rel	1

Name:		cdemu-daemon
Version:	%version
Summary:	Userspace daemon part of the CDemu suite
Release:	%mkrel %rel
Source:		http://downloads.sourceforge.net/cdemu/%name-%version.tar.bz2
# (Anssi 12/2011) change default configuration to
# - 1 virtual device instead of 2
# - no logging into $HOME to reduce homedir pollution
Patch5:		0001-daemon-set-Mageia-default-configuration.patch
Group:		Emulators
License:	GPLv2+
URL:		http://cdemu.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	mirage-devel >= %version
BuildRequires:	glib2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libao-devel
BuildRequires:	libsysfs-devel
Obsoletes:	dkms-cdemu < 0.9
Requires:	rpm-helper
Requires:	kmod(vhba)
# kcdemu works only with old cdemu:
Conflicts:	kcdemu < 0.4.0-5

%description
The daemon receives SCSI commands from kernel module and processes
them, passing the requested data back to the kernel.

Daemon implements the actual virtual device; one instance per each
device registered by kernel module. It uses libMirage, an image
access library that is part of userspace-cdemu suite, for the image
access (e.g. sector reading).

Daemon is controlled through methods that are exposed via D-BUS. It
is written in C and based on GLib (and thus GObjects), but being
controlled over D-BUS, it allows for different clients written in
different languages.

%prep
%setup -q
%patch5 -p2

cat > README.1.4.0.upgrade.urpmi <<EOF
CDemu daemon now uses configuration in ~/.cdemu-daemon instead of
/etc/sysconfig/cdemud.

If you had previously used custom settings in /etc/sysconfig/cdemud,
you now need to create a ~/.cdemu-daemon file with the wanted values for
NUM_DEVICES, AUDIO_DRIVER, and LOG_FILE.
EOF

%build
# patch2
autoreconf -if
# use session bus; each user gets their own daemon with a device of their own
# (system bus is also deprecated upstream)
%configure2_5x \
	--disable-system-bus-service

%make

%install
rm -rf %buildroot
%makeinstall_std

install -d -m755 %{buildroot}%{_libdir}
install -d -m755 %{buildroot}%{_sysconfdir}/sysconfig
install -d -m755 %{buildroot}%{_sysconfdir}/modprobe.preload.d
install -d -m755 %{buildroot}%{_datadir}/dbus-1/services
install -d -m755 %{buildroot}/lib/udev/rules.d

echo "vhba" > %{buildroot}%{_sysconfdir}/modprobe.preload.d/cdemud.conf

# TODO: handle this in udev; udev-acl tag is private
cat > %{buildroot}/lib/udev/rules.d/50-cdemud.rules <<EOF
KERNEL=="vhba_ctl", ACTION=="add|change", TAG+="udev-acl"
EOF

%clean
rm -rf %{buildroot}

%post
# remove old system-wide service
if [ -e %{_initrddir}/cdemud ]; then
	chkconfig --del cdemud
fi
# apply the new udev rule if module already present
/sbin/modprobe --first-time vhba 2>/dev/null || /sbin/udevadm trigger --sysname-match=vhba_ctl

%files
%defattr(-,root,root)
%doc README AUTHORS README.1.4.0.upgrade.urpmi
%{_sysconfdir}/modprobe.preload.d/cdemud.conf
/lib/udev/rules.d/50-cdemud.rules
%{_bindir}/cdemud
%{_libdir}/cdemu-daemon-session.sh
%{_datadir}/dbus-1/services/net.sf.cdemu.CDEMUD_Daemon.service
%{_mandir}/man8/cdemud.8*




%changelog

* Tue Mar 06 2012 anssi <anssi> 1.5.0-1.mga2
+ Revision: 220431
- new version 1.5.0
- drop patches applied upstream

* Sat Dec 03 2011 anssi <anssi> 1.4.0-1.mga2
+ Revision: 175725
- new version 1.4.0
- rediff format-security.patch
- drop deprecated system bus support files, always use session bus
- switch to new upstream session bus wrapper, add upgrade urpmi README
  (default configuration modified, Mageia-default-configuration.patch)
- replace wrapper shell when starting cdemu to prevent extra process
  (replace-wrapper-shell-when-starting-cdemud.patch)
- keep the dbus wrapper under libdir
  (put-dbus-wrapper-scripts-in-libexecdir.patch)
- fix modprobe.preload.d config file name (fixes loading of vhba module
  on boot, bug #3468)

* Sat Jan 15 2011 anssi <anssi> 1.3.0-1.mga1
+ Revision: 19643
- imported package cdemu-daemon


* Sat Sep 04 2010 Anssi Hannula <anssi@mandriva.org> 1.3.0-1mdv2011.0
+ Revision: 575768
- new version
- replace initscript with a dbus service which starts a user-specific
  cdemud when its services are needed

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 1.2.0-2mdv2010.1
+ Revision: 528378
- rebuild

* Thu Dec 03 2009 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 472918
- new version 1.2.0

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 1.1.0-2mdv2010.0
+ Revision: 436973
- rebuild

* Tue Jan 27 2009 Guillaume Bedot <littletux@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 334137
- Fix buildrequires
- require rpm-helper, chkconfig line
- Release 1.1.0

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.svn292.2mdv2009.0
+ Revision: 197782
- fix infinite recursion in initscript

* Wed Apr 23 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.svn292.1mdv2009.0
+ Revision: 197015
- initial Mandriva release

